VersionFilenameSizeVerification
2.0.0cups-2.0.0-source.tar.bz28533kMD5: 2cdd81fea23e9e29555c24bdfd0d7c89 / PGP: Signature
cups-2.0.0-source.tar.gz9152kMD5: 354df4bc3f5b296efc4a1ef350b4f924 / PGP: Signature
1.7.5cups-1.7.5-source.tar.bz28588kMD5: 5d893edc2957005f78e2b2423fdace2e / PGP: Signature
cups-1.7.5-source.tar.gz9247kMD5: 8162248a6de0e7f7adfde2d5f622dd9f / PGP: Signature
1.6.4cups-1.6.4-source.tar.bz28069kMD5: 52c3df269709a4d25472cfe72ab5e856 / PGP: Signature
cups-1.6.4-source.tar.gz8673kMD5: 17c948b442dfdb3c53f5c8b7eaa1442f / PGP: Signature
1.5.4cups-1.5.4-source.tar.gz10346kMD5: e8ecc61d7c6fa0d25f9ba958118e9696 / PGP: Signature
cups-1.5.4-source.tar.bz29359kMD5: de3006e5cf1ee78a9c6145ce62c4e982 / PGP: Signature
1.4.8cups-1.4.8-source.tar.gz5321kMD5: 4540da84e54e3f79d4073bfdfc31b1f5 / PGP: Signature
cups-1.4.8-source.tar.bz24441kMD5: 0ec52d3f3c69bc2ab5ed70c594edbce6 / PGP: Signature
ipptoolipptool-20130731-linux-ubuntu-i686.tar.gz6340kMD5: 26b8ad93cbb792ee4f9cf1dbf21cbcb7 / PGP: Signature
ipptool-20130731-linux-ubuntu-x86_64.tar.gz6345kMD5: b3ec29b0e85d0a64f01c70be8b237b27 / PGP: Signature
ipptool-20130731-osx-universal.dmg6897kMD5: bd2dda623d4de273c45d18d638052174 / PGP: Signature
ipptool-20140328-windows.msi8476kMD5: cc426ec2af094a7eae0b826cde1f987f / PGP: Signature

Show All Releases... PGP Information

Binaries

Free binaries are available elsewhere - search Google to find them.

Note:

We are no longer providing binaries for OS X since newer releases of CUPS are not generally compatible with prior releases of OS X.

Building RPMs

The source distributions include an RPM spec file that can be used to build RPM packages for your Linux distribution. The rpmbuild command is used to build from the tar files:

rpmbuild -ta cups-version-source.tar.gz

or:

rpmbuild -ta cups-version-source.tar.bz2

At a minimum, you'll need the gcc, libjpeg, libjpeg-devel, libpng, libpng-devel, libtiff, libtiff-devel, pam-devel, zlib, and zlib-devel packages installed to compile CUPS with all of the standard functionality. The krb5-devel, krb5-libs, openldap, openldap, openslp, openslp-devel, avahi, and avahi-devel packages will allow support for Kerberos (CUPS 1.3.x and later only), LDAP, SLP, and DNS-SD respectively.

The spec file supports two options, --without php and --without dbus, that control whether the PHP and DBUS support is compiled into the packages. For example, if you are compiling CUPS 1.2.4 or earlier on Red Hat Enterprise Linux, you will need to provide the --without dbus option since that distribution does not have a compatible version of the DBUS libraries available:

rpmbuild -ta cups-version-source.tar.gz --without dbus

Similarly, if you don't have the php-devel package installed, use the --without php option to omit the PHP support from the generated RPMs.

Repository Access

Public access to the CUPS repository is now provided via GIT. Run the following command to checkout the current 2.1 (development) version of the CUPS code:

git clone http://www.cups.org/cups.git cups-2.1

Choose the "branch-2.0" branch to checkout the current 2.0.x (stable) version of the CUPS code:

git clone -b branch-2.0 http://www.cups.org/cups.git cups-2.0